## python-semantic-version 2.3.1

=== Makefile ===
all: default


PACKAGE_DIR = src/semantic_version


default:


clean:
	find . -type f -name '*.pyc' -delete


test:
	python -W default setup.py test

coverage:
	coverage erase
	coverage run "--include=$(PACKAGE_DIR)/*.py,tests/*.py" --branch setup.py test
	coverage report "--include=$(PACKAGE_DIR)/*.py,tests/*.py"
	coverage html "--include=$(PACKAGE_DIR)/*.py,tests/*.py"

doc:
	$(MAKE) -C docs html


.PHONY: all default clean coverage doc test

=== debian/changelog ===
python-semantic-version (2.3.1-2+7~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 13:55:48 +0000

python-semantic-version (2.3.1-2) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:50:08 +0100

python-semantic-version (2.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #780189)

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Mar 2015 09:35:05 +0100

=== debian/control ===
Source: python-semantic-version
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-semantic-version?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-semantic-version -b debian/newton
Homepage: https://github.com/rbarrois/python-semanticversion

Package: python-semantic-version
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-semantic-version-doc
Description: implementing the SemVer scheme - Python 2.x
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the Python 2.x module.

Package: python3-semantic-version
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-semantic-version-doc
Description: implementing the SemVer scheme - Python 3.x
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the Python 3.x module.

Package: python-semantic-version-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: implementing the SemVer scheme - doc
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/rbarrois/python-semanticversion.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-semantic-version; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-semantic-version; \
	done
	rm -rf $(CURDIR)/debian/python*-semantic-version/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-semantic-version-doc/usr/share/doc/python-semantic-version-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-semantic-version 2.6.0

=== Makefile ===
PACKAGE=semantic_version
TESTS_DIR=tests
DOC_DIR=docs

# Use current python binary instead of system default.
COVERAGE = python $(shell which coverage)
FLAKE8 = flake8

all: default


default:


clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete
	@rm -rf tmp_test/


install-deps:
	pip install --upgrade pip setuptools
	pip install --upgrade -r requirements_dev.txt
	pip freeze

testall:
	tox


test:
	python -W default setup.py test

# Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
lint:
	check-manifest
	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE)
	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"

coverage-xml-report: coverage
	$(COVERAGE) xml "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"

doc:
	$(MAKE) -C $(DOC_DIR) html


.PHONY: all default clean coverage doc install-deps lint test

=== debian/changelog ===
python-semantic-version (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:08:46 +0200

python-semantic-version (2.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * New upstream release.
  * Hard build-depends on openstack-pkg-tools.
  * Removed Pre-Depends: dpkg (>= 1.15.6~).
  * Swiched to debhelper 10.
  * Now using pkgos-dh_auto_install.
  * Rewrote fixed-privacy-breach.patch.
  * Not running unit tests for now: process gets stuck.
  * Add remove-non-ascii-in-sphinx-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 10:28:00 +0200

=== debian/control ===
Source: python-semantic-version
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-django (<< 2:2),
 python3-django (<< 2:2),
 python3-sphinx-rtd-theme,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semantic-version
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semantic-version.git
Homepage: https://github.com/rbarrois/python-semanticversion

Package: python-semantic-version
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-semantic-version-doc,
Description: implementing the SemVer scheme - Python 2.x
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the Python 2.x module.

Package: python-semantic-version-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: implementing the SemVer scheme - doc
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the documentation.

Package: python3-semantic-version
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-semantic-version-doc,
Description: implementing the SemVer scheme - Python 3.x
 This small Python library provides a few tools to handle SemVer in Python. It
 follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
 also support versions which wouldn't match the semantic version scheme by
 converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/rbarrois/python-semanticversion.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Not running unit tests for now: process gets stuck."
	#set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
	#	python$$pyvers -W default setup.py test ; \
	#done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html docs debian/python-semantic-version-doc/usr/share/doc/python-semantic-version-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-semantic-version 2.8.2

=== debian/changelog ===
python-semantic-version (2.8.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 19:42:57 +0200

python-semantic-version (2.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 17:52:26 +0200

python-semantic-version (2.6.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938162).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 14:46:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,37 +5,19 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
- python-all,
- python-setuptools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-django (<< 2:2),
- python3-django (<< 2:2),
+ python3-django,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semantic-version
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semantic-version.git
 Homepage: https://github.com/rbarrois/python-semanticversion
-
-Package: python-semantic-version
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-semantic-version-doc,
-Description: implementing the SemVer scheme - Python 2.x
- This small Python library provides a few tools to handle SemVer in Python. It
- follows strictly the 2.0.0 version of the SemVer scheme. semantic_version can
- also support versions which wouldn't match the semantic version scheme by
- converting a version such as 0.1.2.3.4 into 0.1.2+3.4.
- .
- This package contains the Python 2.x module.
 
 Package: python-semantic-version-doc
 Section: doc

## python-semantic-version 2.8.4

=== debian/changelog ===
python-semantic-version (2.8.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:40:48 +0200

python-semantic-version (2.8.4-1) experimental; urgency=medium

  * New upstream release.
  * Rebase remove-non-ascii-in-sphinx-doc.patch.
  * Fix d/copyright ordering and years.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 12:36:38 +0200

## python-semantic-version 2.8.5

=== debian/changelog ===
python-semantic-version (2.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove remove-non-ascii-in-sphinx-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 09:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  python3-django,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-semantic-version
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-semantic-version.git
 Homepage: https://github.com/rbarrois/python-semanticversion

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,18 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_auto_clean:
+	rm -rf build
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -20,7 +28,3 @@
 override_dh_sphinxdoc:
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html docs debian/python-semantic-version-doc/usr/share/doc/python-semantic-version-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build

## python-semantic-version 2.9.0

=== debian/changelog ===
python-semantic-version (2.9.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 09:53:41 +0000

python-semantic-version (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:52:23 +0100

python-semantic-version (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fixed-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 17:40:33 +0100

## python-semantic-version 2.10.0

=== Makefile ===
PACKAGE=semantic_version
TESTS_DIR=tests
DOC_DIR=docs

# Use current python binary instead of system default.
COVERAGE = python $(shell which coverage)
FLAKE8 = flake8

all: default


default:

.PHONY: all default


# Package management
# ==================


clean:
	find . -type f -name '*.pyc' -delete
	find . -type f -path '*/__pycache__/*' -delete
	find . -type d -empty -delete
	@rm -rf tmp_test/


update:
	pip install --upgrade pip setuptools
	pip install --upgrade -e .[dev,doc]
	pip freeze


release:
	fullrelease

.PHONY: clean update release

# Tests and quality
# =================


# DOC: Run tests for all supported versions (creates a set of virtualenvs)
testall:
	tox


# DOC: Run tests for the currently installed version
test:
	python -Wdefault -m nose2

# DOC: Perform code quality tasks
lint: check-manifest flake8

# DOC: Verify that MANIFEST.in and .gitignore are consistent
check-manifest:
	check-manifest

# Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
# DOC: Verify code quality
flake8:
	$(FLAKE8) --exclude $(PACKAGE)/__init__.py $(PACKAGE) $(TESTS_DIR) setup.py
	$(FLAKE8) --ignore F401 $(PACKAGE)/__init__.py

# DOC: Run tests with coverage collection
coverage:
	$(COVERAGE) erase
	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"

.PHONY: testall test lint check-manifest flake8 coverage


# Documentation
# =============


# DOC: Compile the documentation
doc:
	$(MAKE) -C $(DOC_DIR) html


# DOC: Show this help message
help:
	@grep -A1 '^# DOC:' Makefile \
	 | awk '    					\
	    BEGIN { FS="\n"; RS="--\n"; opt_len=0; }    \
	    {    					\
		doc=$$1; name=$$2;    			\
		sub("# DOC: ", "", doc);    		\
		sub(":", "", name);    			\
		if (length(name) > opt_len) {    	\
		    opt_len = length(name)    		\
		}    					\
		opts[NR] = name;    			\
		docs[name] = doc;    			\
	    }    					\
	    END {    					\
		pat="%-" (opt_len + 4) "s %s\n";    	\
		asort(opts);    			\
		for (i in opts) {    			\
		    opt=opts[i];    			\
		    printf pat, opt, docs[opt]    	\
		}    					\
	    }'

.PHONY: doc help

=== debian/changelog ===
python-semantic-version (2.10.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090614).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:43:29 +0100

python-semantic-version (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:37:13 +0200

python-semantic-version (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:11:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -27,4 +27,4 @@
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html docs debian/python-semantic-version-doc/usr/share/doc/python-semantic-version-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/semantic_version semantic_version-(.*).tar.gz
